import { Subject } from 'rxjs';

import {
  Zone,
  Host,
  Port,
  Service,
} from '@overflow/commons-typescript/model/discovery';

export interface DiscoveryNotify {
  method: string;
  params: Date | Zone | Host | Port | Service;
}

export class DiscoverySubject extends Subject<DiscoveryNotify> {

}
